GLISBUFFER(3G)

NAME
glIsBuffer - determine if a name corresponds to a buffer object

C SPECIFICATION

GLboolean glIsBuffer(GLuint buffer);

PARAMETERS

buffer
    Specifies a value that may be the name of a buffer object.

DESCRIPTION

glIsBuffer returns GL_TRUE if buffer is currently the name of a buffer object. If buffer is zero, or is a non-zero value that is not currently the name of a buffer object, or if an error occurs, glIsBuffer returns GL_FALSE.

A name returned by glGenBuffers(), but not yet associated with a buffer object by calling glBindBuffer(), is not the name of a buffer object.

SEE ALSO

glBindBuffer(), glDeleteBuffers(), glGenBuffers(), glGet()

COPYRIGHT

Copyright © 2005 Addison-Wesley. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

AUTHORS

opengl.org